Download it now!
Bug 85286 - android: don't convert objects on load ...
Summary: android: don't convert objects on load ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
4.3.0.2 rc
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2014-10-21 11:52 UTC by Michael Meeks
Modified: 2015-01-22 03:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Hello world .doc reproducer. (9.50 KB, application/msword)
2014-12-09 14:26 UTC, Miklos Vajna
Details
WW8 in WW8 case (18.00 KB, application/msword)
2014-12-09 14:28 UTC, Miklos Vajna
Details
Hello world .ppt reproducer. (158.50 KB, application/vnd.ms-powerpoint)
2014-12-10 09:48 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2014-10-21 11:52:06 UTC
The viewer app is made significantly slower by our default of converting OLE objects and objects they refer to etc. essentially the keys referred to by:

Tools->Options->Load/Save->Microsoft Office-> ...

we should un-check all those settings in the configuration for a much faster MS Office document load-time in each case.

Prolly that goes well in the bug#84746 script - since we only want to do that for the viewer target on Android - not an editing one.

HTH.
Comment 1 Miklos Vajna 2014-12-09 14:26:13 UTC
Created attachment 110629 [details]
Hello world .doc reproducer.

The first interesting setting there is "WinWord to Writer", which has an effect on .doc files containing embedded .doc files. It seems right now a simple .doc file is not opened in the viewer. Attaching a reproducer.

Commit c0dcf49731c66b7169f668328ed4df73d1920b09 fixes this.
Comment 2 Miklos Vajna 2014-12-09 14:28:28 UTC
Created attachment 110630 [details]
WW8 in WW8 case

Testcase for the Word -> Writer auto-conversion, this document fails to load as well currently.
Comment 3 Commit Notification 2014-12-09 14:42:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53849ba37fa6a28dd236d340e402ce2d2d9150f4

fdo#85286 android: add missing libraries for embedded object loading

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-12-09 15:20:17 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37280590cdb0a0654a6c618eb06f67aa48b27f31

Related: fdo#85286 android: show error message given by LOK on the UI

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-10 09:02:44 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=657747aca81fc6f4fd8c32551c0aae2ec0f4b0fd

fdo#85286 android: don't convert objects on load

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Miklos Vajna 2014-12-10 09:48:54 UTC
Created attachment 110676 [details]
Hello world .ppt reproducer.

It seems right now a simple .ppt file is not opened in the viewer. Attaching a reproducer.
Comment 7 Commit Notification 2014-12-10 11:51:28 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=861e7853e3b98b0adf5a72c88e2bf8c16ca17d09

fdo#85286 android: add missing library for PPT loading

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Miklos Vajna 2014-12-10 11:53:08 UTC
With the above fixes, objects are no longer converted on load and both DOC-in-DOC and PPT-in-PPT works on master, marking as resolved.